// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		20A588422691BB3400EDDDAF /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20A588412691BB3400EDDDAF /* AppDelegate.swift */; };
		20A588492691BB3400EDDDAF /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 20A588472691BB3400EDDDAF /* Main.storyboard */; };
		20A5884B2691BB3700EDDDAF /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 20A5884A2691BB3700EDDDAF /* Assets.xcassets */; };
		20A5884E2691BB3700EDDDAF /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 20A5884C2691BB3700EDDDAF /* LaunchScreen.storyboard */; };
		20A5887A2691BB8400EDDDAF /* SchoolsListViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20A588792691BB8400EDDDAF /* SchoolsListViewController.swift */; };
		20A5888C2691BD4B00EDDDAF /* AppConstants.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20A5888B2691BD4B00EDDDAF /* AppConstants.swift */; };
		20A588952691BFDB00EDDDAF /* UIStoryboard.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20A588942691BFDB00EDDDAF /* UIStoryboard.swift */; };
		20A5889E2691CA5C00EDDDAF /* NetworkingManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20A5889D2691CA5C00EDDDAF /* NetworkingManager.swift */; };
		20A588A72691CDE500EDDDAF /* School.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20A588A62691CDE500EDDDAF /* School.swift */; };
		20A588AF2691DBA200EDDDAF /* SATScore.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20A588AE2691DBA200EDDDAF /* SATScore.swift */; };
		20A588B82691E76A00EDDDAF /* SchoolsListViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20A588B72691E76A00EDDDAF /* SchoolsListViewModel.swift */; };
		20A588BF2691E93600EDDDAF /* SchoolTableViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20A588BD2691E93600EDDDAF /* SchoolTableViewCell.swift */; };
		20A588C02691E93600EDDDAF /* SchoolTableViewCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = 20A588BE2691E93600EDDDAF /* SchoolTableViewCell.xib */; };
		20A588C92691EF4900EDDDAF /* SchoolCellListViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20A588C82691EF4900EDDDAF /* SchoolCellListViewModel.swift */; };
		20A588D22691F68800EDDDAF /* AppCoordinator.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20A588D12691F68800EDDDAF /* AppCoordinator.swift */; };
		20A588DF2691F96200EDDDAF /* SchoolInformationViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20A588DE2691F96200EDDDAF /* SchoolInformationViewController.swift */; };
		20A588E42691FA4B00EDDDAF /* SchoolCoordinator.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20A588E32691FA4B00EDDDAF /* SchoolCoordinator.swift */; };
		20A588FC269205A700EDDDAF /* DataFactory.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20A588FB269205A700EDDDAF /* DataFactory.swift */; };
		20A589042692062E00EDDDAF /* SchoolAdditionalInformationViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20A589032692062E00EDDDAF /* SchoolAdditionalInformationViewModel.swift */; };
		20A5890926921E6300EDDDAF /* SchoolsListingTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20A5890826921E6300EDDDAF /* SchoolsListingTests.swift */; };
		20A5891226921F3800EDDDAF /* SchoolListingStub.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20A5891126921F3700EDDDAF /* SchoolListingStub.swift */; };
		20A5891E269222EF00EDDDAF /* SchoolDetailTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20A5891D269222EF00EDDDAF /* SchoolDetailTests.swift */; };
		20A589262692231700EDDDAF /* SchoolDetailStub.swift in Sources */ = {isa = PBXBuildFile; fileRef = 20A589252692231700EDDDAF /* SchoolDetailStub.swift */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		20A588552691BB3700EDDDAF /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 20A588362691BB3400EDDDAF /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 20A5883D2691BB3400EDDDAF;
			remoteInfo = "20200704-AmitBiswas-NYCSchools";
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		20A5883E2691BB3400EDDDAF /* 20200704-AmitBiswas-NYCSchools.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = "20200704-AmitBiswas-NYCSchools.app"; sourceTree = BUILT_PRODUCTS_DIR; };
		20A588412691BB3400EDDDAF /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		20A588482691BB3400EDDDAF /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		20A5884A2691BB3700EDDDAF /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		20A5884D2691BB3700EDDDAF /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		20A5884F2691BB3700EDDDAF /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		20A588542691BB3700EDDDAF /* 20200704-AmitBiswas-NYCSchoolsTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = "20200704-AmitBiswas-NYCSchoolsTests.xctest"; sourceTree = BUILT_PRODUCTS_DIR; };
		20A5885A2691BB3700EDDDAF /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		20A588792691BB8400EDDDAF /* SchoolsListViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SchoolsListViewController.swift; sourceTree = "<group>"; };
		20A5888B2691BD4B00EDDDAF /* AppConstants.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppConstants.swift; sourceTree = "<group>"; };
		20A588942691BFDB00EDDDAF /* UIStoryboard.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = UIStoryboard.swift; sourceTree = "<group>"; };
		20A5889D2691CA5C00EDDDAF /* NetworkingManager.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NetworkingManager.swift; sourceTree = "<group>"; };
		20A588A62691CDE500EDDDAF /* School.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = School.swift; sourceTree = "<group>"; };
		20A588AE2691DBA200EDDDAF /* SATScore.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SATScore.swift; sourceTree = "<group>"; };
		20A588B72691E76A00EDDDAF /* SchoolsListViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SchoolsListViewModel.swift; sourceTree = "<group>"; };
		20A588BD2691E93600EDDDAF /* SchoolTableViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SchoolTableViewCell.swift; sourceTree = "<group>"; };
		20A588BE2691E93600EDDDAF /* SchoolTableViewCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = SchoolTableViewCell.xib; sourceTree = "<group>"; };
		20A588C82691EF4900EDDDAF /* SchoolCellListViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SchoolCellListViewModel.swift; sourceTree = "<group>"; };
		20A588D12691F68800EDDDAF /* AppCoordinator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppCoordinator.swift; sourceTree = "<group>"; };
		20A588DE2691F96200EDDDAF /* SchoolInformationViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SchoolInformationViewController.swift; sourceTree = "<group>"; };
		20A588E32691FA4B00EDDDAF /* SchoolCoordinator.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SchoolCoordinator.swift; sourceTree = "<group>"; };
		20A588FB269205A700EDDDAF /* DataFactory.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = DataFactory.swift; sourceTree = "<group>"; };
		20A589032692062E00EDDDAF /* SchoolAdditionalInformationViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SchoolAdditionalInformationViewModel.swift; sourceTree = "<group>"; };
		20A5890826921E6300EDDDAF /* SchoolsListingTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SchoolsListingTests.swift; sourceTree = "<group>"; };
		20A5891126921F3700EDDDAF /* SchoolListingStub.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SchoolListingStub.swift; sourceTree = "<group>"; };
		20A5891D269222EF00EDDDAF /* SchoolDetailTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SchoolDetailTests.swift; sourceTree = "<group>"; };
		20A589252692231700EDDDAF /* SchoolDetailStub.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SchoolDetailStub.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		20A5883B2691BB3400EDDDAF /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		20A588512691BB3700EDDDAF /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		20A588352691BB3400EDDDAF = {
			isa = PBXGroup;
			children = (
				20A588402691BB3400EDDDAF /* 20200704-AmitBiswas-NYCSchools */,
				20A588572691BB3700EDDDAF /* 20200704-AmitBiswas-NYCSchoolsTests */,
				20A5883F2691BB3400EDDDAF /* Products */,
			);
			sourceTree = "<group>";
		};
		20A5883F2691BB3400EDDDAF /* Products */ = {
			isa = PBXGroup;
			children = (
				20A5883E2691BB3400EDDDAF /* 20200704-AmitBiswas-NYCSchools.app */,
				20A588542691BB3700EDDDAF /* 20200704-AmitBiswas-NYCSchoolsTests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		20A588402691BB3400EDDDAF /* 20200704-AmitBiswas-NYCSchools */ = {
			isa = PBXGroup;
			children = (
				20A588FA2692059E00EDDDAF /* Factories */,
				20A588D02691F67E00EDDDAF /* Coordinator */,
				20A5889C2691C99600EDDDAF /* Networking */,
				20A588932691BFD300EDDDAF /* Extensions */,
				20A5888A2691BD4000EDDDAF /* Utils */,
				20A588832691BBB800EDDDAF /* Storyboard */,
				20A588822691BBAD00EDDDAF /* App */,
				20A588812691BB8C00EDDDAF /* Modules */,
				20A5884A2691BB3700EDDDAF /* Assets.xcassets */,
				20A5884F2691BB3700EDDDAF /* Info.plist */,
			);
			path = "20200704-AmitBiswas-NYCSchools";
			sourceTree = "<group>";
		};
		20A588572691BB3700EDDDAF /* 20200704-AmitBiswas-NYCSchoolsTests */ = {
			isa = PBXGroup;
			children = (
				20A5891026921F2600EDDDAF /* SchoolListsTests */,
				20A5891C269222D900EDDDAF /* SchoolDetailTests */,
				20A5885A2691BB3700EDDDAF /* Info.plist */,
			);
			path = "20200704-AmitBiswas-NYCSchoolsTests";
			sourceTree = "<group>";
		};
		20A588772691BB5100EDDDAF /* SchoolsList */ = {
			isa = PBXGroup;
			children = (
				20A588EB2692044900EDDDAF /* Model */,
				20A588782691BB5B00EDDDAF /* View */,
				20A588B32691E70C00EDDDAF /* ViewModel */,
			);
			path = SchoolsList;
			sourceTree = "<group>";
		};
		20A588782691BB5B00EDDDAF /* View */ = {
			isa = PBXGroup;
			children = (
				20A588BC2691E91B00EDDDAF /* Cells */,
				20A588792691BB8400EDDDAF /* SchoolsListViewController.swift */,
			);
			path = View;
			sourceTree = "<group>";
		};
		20A588812691BB8C00EDDDAF /* Modules */ = {
			isa = PBXGroup;
			children = (
				20A588D92691F90500EDDDAF /* SchoolAdditionalInformation */,
				20A588772691BB5100EDDDAF /* SchoolsList */,
			);
			path = Modules;
			sourceTree = "<group>";
		};
		20A588822691BBAD00EDDDAF /* App */ = {
			isa = PBXGroup;
			children = (
				20A588412691BB3400EDDDAF /* AppDelegate.swift */,
			);
			path = App;
			sourceTree = "<group>";
		};
		20A588832691BBB800EDDDAF /* Storyboard */ = {
			isa = PBXGroup;
			children = (
				20A588472691BB3400EDDDAF /* Main.storyboard */,
				20A5884C2691BB3700EDDDAF /* LaunchScreen.storyboard */,
			);
			path = Storyboard;
			sourceTree = "<group>";
		};
		20A5888A2691BD4000EDDDAF /* Utils */ = {
			isa = PBXGroup;
			children = (
				20A5888B2691BD4B00EDDDAF /* AppConstants.swift */,
			);
			path = Utils;
			sourceTree = "<group>";
		};
		20A588932691BFD300EDDDAF /* Extensions */ = {
			isa = PBXGroup;
			children = (
				20A588942691BFDB00EDDDAF /* UIStoryboard.swift */,
			);
			path = Extensions;
			sourceTree = "<group>";
		};
		20A5889C2691C99600EDDDAF /* Networking */ = {
			isa = PBXGroup;
			children = (
				20A5889D2691CA5C00EDDDAF /* NetworkingManager.swift */,
			);
			path = Networking;
			sourceTree = "<group>";
		};
		20A588B32691E70C00EDDDAF /* ViewModel */ = {
			isa = PBXGroup;
			children = (
				20A588B72691E76A00EDDDAF /* SchoolsListViewModel.swift */,
			);
			path = ViewModel;
			sourceTree = "<group>";
		};
		20A588BC2691E91B00EDDDAF /* Cells */ = {
			isa = PBXGroup;
			children = (
				20A588C72691EF3500EDDDAF /* ViewModel */,
				20A588BD2691E93600EDDDAF /* SchoolTableViewCell.swift */,
				20A588BE2691E93600EDDDAF /* SchoolTableViewCell.xib */,
			);
			path = Cells;
			sourceTree = "<group>";
		};
		20A588C72691EF3500EDDDAF /* ViewModel */ = {
			isa = PBXGroup;
			children = (
				20A588C82691EF4900EDDDAF /* SchoolCellListViewModel.swift */,
			);
			path = ViewModel;
			sourceTree = "<group>";
		};
		20A588D02691F67E00EDDDAF /* Coordinator */ = {
			isa = PBXGroup;
			children = (
				20A588D12691F68800EDDDAF /* AppCoordinator.swift */,
				20A588E32691FA4B00EDDDAF /* SchoolCoordinator.swift */,
			);
			path = Coordinator;
			sourceTree = "<group>";
		};
		20A588D92691F90500EDDDAF /* SchoolAdditionalInformation */ = {
			isa = PBXGroup;
			children = (
				20A588F62692047800EDDDAF /* Model */,
				20A588DA2691F93300EDDDAF /* View */,
				20A588F52692047400EDDDAF /* ViewModel */,
			);
			path = SchoolAdditionalInformation;
			sourceTree = "<group>";
		};
		20A588DA2691F93300EDDDAF /* View */ = {
			isa = PBXGroup;
			children = (
				20A588DE2691F96200EDDDAF /* SchoolInformationViewController.swift */,
			);
			path = View;
			sourceTree = "<group>";
		};
		20A588EB2692044900EDDDAF /* Model */ = {
			isa = PBXGroup;
			children = (
				20A588A62691CDE500EDDDAF /* School.swift */,
			);
			path = Model;
			sourceTree = "<group>";
		};
		20A588F52692047400EDDDAF /* ViewModel */ = {
			isa = PBXGroup;
			children = (
				20A589032692062E00EDDDAF /* SchoolAdditionalInformationViewModel.swift */,
			);
			path = ViewModel;
			sourceTree = "<group>";
		};
		20A588F62692047800EDDDAF /* Model */ = {
			isa = PBXGroup;
			children = (
				20A588AE2691DBA200EDDDAF /* SATScore.swift */,
			);
			path = Model;
			sourceTree = "<group>";
		};
		20A588FA2692059E00EDDDAF /* Factories */ = {
			isa = PBXGroup;
			children = (
				20A588FB269205A700EDDDAF /* DataFactory.swift */,
			);
			path = Factories;
			sourceTree = "<group>";
		};
		20A5891026921F2600EDDDAF /* SchoolListsTests */ = {
			isa = PBXGroup;
			children = (
				20A5891126921F3700EDDDAF /* SchoolListingStub.swift */,
				20A5890826921E6300EDDDAF /* SchoolsListingTests.swift */,
			);
			path = SchoolListsTests;
			sourceTree = "<group>";
		};
		20A5891C269222D900EDDDAF /* SchoolDetailTests */ = {
			isa = PBXGroup;
			children = (
				20A5891D269222EF00EDDDAF /* SchoolDetailTests.swift */,
				20A589252692231700EDDDAF /* SchoolDetailStub.swift */,
			);
			path = SchoolDetailTests;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		20A5883D2691BB3400EDDDAF /* 20200704-AmitBiswas-NYCSchools */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 20A588682691BB3700EDDDAF /* Build configuration list for PBXNativeTarget "20200704-AmitBiswas-NYCSchools" */;
			buildPhases = (
				20A5883A2691BB3400EDDDAF /* Sources */,
				20A5883B2691BB3400EDDDAF /* Frameworks */,
				20A5883C2691BB3400EDDDAF /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = "20200704-AmitBiswas-NYCSchools";
			productName = "20200704-AmitBiswas-NYCSchools";
			productReference = 20A5883E2691BB3400EDDDAF /* 20200704-AmitBiswas-NYCSchools.app */;
			productType = "com.apple.product-type.application";
		};
		20A588532691BB3700EDDDAF /* 20200704-AmitBiswas-NYCSchoolsTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 20A5886B2691BB3700EDDDAF /* Build configuration list for PBXNativeTarget "20200704-AmitBiswas-NYCSchoolsTests" */;
			buildPhases = (
				20A588502691BB3700EDDDAF /* Sources */,
				20A588512691BB3700EDDDAF /* Frameworks */,
				20A588522691BB3700EDDDAF /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				20A588562691BB3700EDDDAF /* PBXTargetDependency */,
			);
			name = "20200704-AmitBiswas-NYCSchoolsTests";
			productName = "20200704-AmitBiswas-NYCSchoolsTests";
			productReference = 20A588542691BB3700EDDDAF /* 20200704-AmitBiswas-NYCSchoolsTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		20A588362691BB3400EDDDAF /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1200;
				LastUpgradeCheck = 1200;
				TargetAttributes = {
					20A5883D2691BB3400EDDDAF = {
						CreatedOnToolsVersion = 12.0.1;
					};
					20A588532691BB3700EDDDAF = {
						CreatedOnToolsVersion = 12.0.1;
						TestTargetID = 20A5883D2691BB3400EDDDAF;
					};
				};
			};
			buildConfigurationList = 20A588392691BB3400EDDDAF /* Build configuration list for PBXProject "20200704-AmitBiswas-NYCSchools" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 20A588352691BB3400EDDDAF;
			productRefGroup = 20A5883F2691BB3400EDDDAF /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				20A5883D2691BB3400EDDDAF /* 20200704-AmitBiswas-NYCSchools */,
				20A588532691BB3700EDDDAF /* 20200704-AmitBiswas-NYCSchoolsTests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		20A5883C2691BB3400EDDDAF /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				20A5884E2691BB3700EDDDAF /* LaunchScreen.storyboard in Resources */,
				20A5884B2691BB3700EDDDAF /* Assets.xcassets in Resources */,
				20A588492691BB3400EDDDAF /* Main.storyboard in Resources */,
				20A588C02691E93600EDDDAF /* SchoolTableViewCell.xib in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		20A588522691BB3700EDDDAF /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		20A5883A2691BB3400EDDDAF /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				20A588D22691F68800EDDDAF /* AppCoordinator.swift in Sources */,
				20A588DF2691F96200EDDDAF /* SchoolInformationViewController.swift in Sources */,
				20A588B82691E76A00EDDDAF /* SchoolsListViewModel.swift in Sources */,
				20A588952691BFDB00EDDDAF /* UIStoryboard.swift in Sources */,
				20A588C92691EF4900EDDDAF /* SchoolCellListViewModel.swift in Sources */,
				20A589042692062E00EDDDAF /* SchoolAdditionalInformationViewModel.swift in Sources */,
				20A588E42691FA4B00EDDDAF /* SchoolCoordinator.swift in Sources */,
				20A588A72691CDE500EDDDAF /* School.swift in Sources */,
				20A588422691BB3400EDDDAF /* AppDelegate.swift in Sources */,
				20A588AF2691DBA200EDDDAF /* SATScore.swift in Sources */,
				20A5888C2691BD4B00EDDDAF /* AppConstants.swift in Sources */,
				20A588FC269205A700EDDDAF /* DataFactory.swift in Sources */,
				20A5889E2691CA5C00EDDDAF /* NetworkingManager.swift in Sources */,
				20A588BF2691E93600EDDDAF /* SchoolTableViewCell.swift in Sources */,
				20A5887A2691BB8400EDDDAF /* SchoolsListViewController.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		20A588502691BB3700EDDDAF /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				20A5891226921F3800EDDDAF /* SchoolListingStub.swift in Sources */,
				20A5890926921E6300EDDDAF /* SchoolsListingTests.swift in Sources */,
				20A589262692231700EDDDAF /* SchoolDetailStub.swift in Sources */,
				20A5891E269222EF00EDDDAF /* SchoolDetailTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		20A588562691BB3700EDDDAF /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 20A5883D2691BB3400EDDDAF /* 20200704-AmitBiswas-NYCSchools */;
			targetProxy = 20A588552691BB3700EDDDAF /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		20A588472691BB3400EDDDAF /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				20A588482691BB3400EDDDAF /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		20A5884C2691BB3700EDDDAF /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				20A5884D2691BB3700EDDDAF /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		20A588662691BB3700EDDDAF /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		20A588672691BB3700EDDDAF /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		20A588692691BB3700EDDDAF /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = "20200704-AmitBiswas-NYCSchools/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "com.amitbiswas.-0200704-AmitBiswas-NYCSchools";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		20A5886A2691BB3700EDDDAF /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = "20200704-AmitBiswas-NYCSchools/Info.plist";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "com.amitbiswas.-0200704-AmitBiswas-NYCSchools";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		20A5886C2691BB3700EDDDAF /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = "20200704-AmitBiswas-NYCSchoolsTests/Info.plist";
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "com.amitbiswas.-0200704-AmitBiswas-NYCSchoolsTests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/20200704-AmitBiswas-NYCSchools.app/20200704-AmitBiswas-NYCSchools";
			};
			name = Debug;
		};
		20A5886D2691BB3700EDDDAF /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				INFOPLIST_FILE = "20200704-AmitBiswas-NYCSchoolsTests/Info.plist";
				IPHONEOS_DEPLOYMENT_TARGET = 14.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = "com.amitbiswas.-0200704-AmitBiswas-NYCSchoolsTests";
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/20200704-AmitBiswas-NYCSchools.app/20200704-AmitBiswas-NYCSchools";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		20A588392691BB3400EDDDAF /* Build configuration list for PBXProject "20200704-AmitBiswas-NYCSchools" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				20A588662691BB3700EDDDAF /* Debug */,
				20A588672691BB3700EDDDAF /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		20A588682691BB3700EDDDAF /* Build configuration list for PBXNativeTarget "20200704-AmitBiswas-NYCSchools" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				20A588692691BB3700EDDDAF /* Debug */,
				20A5886A2691BB3700EDDDAF /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		20A5886B2691BB3700EDDDAF /* Build configuration list for PBXNativeTarget "20200704-AmitBiswas-NYCSchoolsTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				20A5886C2691BB3700EDDDAF /* Debug */,
				20A5886D2691BB3700EDDDAF /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 20A588362691BB3400EDDDAF /* Project object */;
}
